MatrixPasteCommand Class Reference

`#include <MatrixCommand.h>`

Inheritance diagram for MatrixPasteCommand:

## Public Member Functions

| MatrixPasteCommand (MatrixModel *model, int startRow, int endRow, int startCol, int endCol, double *clipboardData, int rows, int cols, double *backupData, int oldRows, int oldCols, const QString &text)
virtual void | redo ()
virtual void | undo ()
| ~MatrixPasteCommand ()

## Private Attributes

double * | d_backup_data
double * | d_clipboard_data
int | d_cols
int | d_end_col
int | d_end_row
MatrixModel * | d_model
int | d_old_cols
int | d_old_rows
int | d_rows
int | d_start_col
int | d_start_row

## Constructor & Destructor Documentation

## MatrixPasteCommand()

MatrixPasteCommand::MatrixPasteCommand | ( | MatrixModel * | model,
|  | int | startRow,
|  | int | endRow,
|  | int | startCol,
|  | int | endCol,
|  | double * | clipboardData,
|  | int | rows,
|  | int | cols,
|  | double * | backupData,
|  | int | oldRows,
|  | int | oldCols,
|  | const QString & | text
| ) |  |

References MatrixModel::matrix().

## ~MatrixPasteCommand()

MatrixPasteCommand::~MatrixPasteCommand | ( |  | ) |

inline

References MatrixEditCellCommand::redo(), and MatrixEditCellCommand::undo().

## Member Function Documentation

## redo()

void MatrixPasteCommand::redo | ( |  | ) |

virtual

References d_clipboard_data, d_cols, d_model, d_rows, d_start_col, d_start_row, MatrixModel::matrix(), MatrixModel::pasteData(), and Matrix::resetView().

## undo()

void MatrixPasteCommand::undo | ( |  | ) |

virtual

References MatrixModel::columnCount(), d_backup_data, d_end_col, d_end_row, d_model, d_old_cols, d_old_rows, d_start_col, d_start_row, MatrixModel::dataVector(), MatrixModel::matrix(), Matrix::resetView(), MatrixModel::rowCount(), MatrixModel::setColumnCount(), and MatrixModel::setRowCount().

## Member Data Documentation

## d_backup_data

double * MatrixPasteCommand::d_backup_data

private

Referenced by undo().

## d_clipboard_data

double* MatrixPasteCommand::d_clipboard_data

private

Referenced by redo().

## d_cols

int MatrixPasteCommand::d_cols

private

Referenced by redo().

## d_end_col

int MatrixPasteCommand::d_end_col

private

Referenced by undo().

## d_end_row

int MatrixPasteCommand::d_end_row

private

Referenced by undo().

## d_model

MatrixModel* MatrixPasteCommand::d_model

private

Referenced by redo(), and undo().

## d_old_cols

int MatrixPasteCommand::d_old_cols

private

Referenced by undo().

## d_old_rows

int MatrixPasteCommand::d_old_rows

private

Referenced by undo().

## d_rows

int MatrixPasteCommand::d_rows

private

Referenced by redo().

## d_start_col

int MatrixPasteCommand::d_start_col

private

Referenced by redo(), and undo().

## d_start_row

int MatrixPasteCommand::d_start_row

private

Referenced by redo(), and undo().

The documentation for this class was generated from the following files:

- qtiplot/src/matrix/MatrixCommand.h
- qtiplot/src/matrix/MatrixCommand.cpp